Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Interface JUIteratorChangedListener

All Known Implementing Classes:
  oracle.jbo.uicli.jui.JUBoundedRangeBinding

public interface JUIteratorChangedListener

Implemented by all controls/classes that are interested in knowing when the RowSetIterator for an iteratorBinding in a panel is changed. Typically controls like JUNavigationBar and JUStatusBar that are interested in updating their display based on current iterator settings listen into this event (generated by JUPanelBinding). When an iterator binding's iterator is changed via JUPanelBinding.bindRowSetIterator(), PanelBinding notifies all such listeners of the change. Note that if the iterator behind an IteratorBinding is changed via JUIteratorBinding.bindRowSetIterator(), then it is left to the caller to perform this notification using a protected method in JUPanelBinding: notifyIteratorChanged().

Method Summary
`void` | `iteratorChanged(java.lang.String iterName, NavigatableRowIterator rsi)` Invoked when a new RowSetIterator is bound to a JUIteratorBinding within the context of a PanelBinding.

Method Detail

### iteratorChanged

    public void iteratorChanged(java.lang.String iterName,
                                NavigatableRowIterator rsi)

  Invoked when a new RowSetIterator is bound to a JUIteratorBinding within the context of a PanelBinding.
  Parameters:
    `iterName` - Name of the JUIteratorBinding for which the RowSetIterator is changed.
    `rsi` - The new RowSetIterator (could be null) to which an iterator binding should be bound.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.